---
title: "assert"
excerpt: "Check a value at runtime, and raise an error if the argument provided"
layout: manual
---

Check a value at runtime, and raise an error if the argument provided

is false.

```js
assert(data: bool, message: string) -> ()
```

### Examples

```js
const myVar = true
assert(myVar, "should always be true")
```

![Rendered example of assert 0](data:image/png;base64,[encoded data, 26336 characters])

### Arguments

* `data`: `bool` (REQUIRED)
* `message`: `string` (REQUIRED)

### Returns

`()`



